Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text

## Class EMFCompareTextMergeViewerContentProvider

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text.EMFCompareTextMergeViewerContentProvider

All Implemented Interfaces:
  `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`, `org.eclipse.jface.viewers.IContentProvider`

    public class EMFCompareTextMergeViewerContentProvider
    extends Object
    implements org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider

### Constructor Summary

Constructors
`EMFCompareTextMergeViewerContentProvider​(EMFCompareConfiguration cc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`Object` `getAncestorContent​(Object element)`
`org.eclipse.swt.graphics.Image` `getAncestorImage​(Object element)`
`String` `getAncestorLabel​(Object element)`
`Object` `getLeftContent​(Object element)`
`org.eclipse.swt.graphics.Image` `getLeftImage​(Object element)`
`String` `getLeftLabel​(Object element)`
`Object` `getRightContent​(Object element)`
`org.eclipse.swt.graphics.Image` `getRightImage​(Object element)`
`String` `getRightLabel​(Object element)`
`void` `inputChanged​(org.eclipse.jface.viewers.Viewer v, Object o1, Object o2)`
`boolean` `isLeftEditable​(Object element)`
`boolean` `isRightEditable​(Object element)`
`void` `saveLeftContent​(Object element, byte[] bytes)`
`void` `saveRightContent​(Object element, byte[] bytes)`
`void` `setAncestorError​(String errorMessage)`
`void` `setLeftError​(String errorMessage)`
`void` `setRightError​(String errorMessage)`
`boolean` `showAncestor​(Object element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFCompareTextMergeViewerContentProvider

    public EMFCompareTextMergeViewerContentProvider​(EMFCompareConfiguration cc)

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

#### inputChanged

    public void inputChanged​(org.eclipse.jface.viewers.Viewer v,
                             Object o1,
                             Object o2)

Specified by:
  `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

#### setAncestorError

    public void setAncestorError​(String errorMessage)

#### getAncestorLabel

    public String getAncestorLabel​(Object element)

Specified by:
  `getAncestorLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### getAncestorImage

    public org.eclipse.swt.graphics.Image getAncestorImage​(Object element)

Specified by:
  `getAncestorImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### getAncestorContent

    public Object getAncestorContent​(Object element)

Specified by:
  `getAncestorContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### showAncestor

    public boolean showAncestor​(Object element)

Specified by:
  `showAncestor` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### setLeftError

    public void setLeftError​(String errorMessage)

#### getLeftLabel

    public String getLeftLabel​(Object element)

Specified by:
  `getLeftLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### getLeftImage

    public org.eclipse.swt.graphics.Image getLeftImage​(Object element)

Specified by:
  `getLeftImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### getLeftContent

    public Object getLeftContent​(Object element)

Specified by:
  `getLeftContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### isLeftEditable

    public boolean isLeftEditable​(Object element)

Specified by:
  `isLeftEditable` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### saveLeftContent

    public void saveLeftContent​(Object element,
                                byte[] bytes)

Specified by:
  `saveLeftContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### setRightError

    public void setRightError​(String errorMessage)

#### getRightLabel

    public String getRightLabel​(Object element)

Specified by:
  `getRightLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### getRightImage

    public org.eclipse.swt.graphics.Image getRightImage​(Object element)

Specified by:
  `getRightImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### getRightContent

    public Object getRightContent​(Object element)

Specified by:
  `getRightContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### isRightEditable

    public boolean isRightEditable​(Object element)

Specified by:
  `isRightEditable` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`

#### saveRightContent

    public void saveRightContent​(Object element,
                                 byte[] bytes)

Specified by:
  `saveRightContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`